Name:           lft
Version:        2.5
Release:        7%{?dist}
Epoch:          1
Summary:        Alternate traceroute tool

Group:          Applications/Internet
License:        VOSTROM Public License
URL:            http://pwhois.org/lft/
# http://pwhois.org/dl/?file=lft-2.5.tar.gz
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-install.patch
Patch1:         %{name}-2.5-tolower-189996.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Explicit libpcap BR: workaround for #193189 comment 2
BuildRequires:  libpcap
BuildRequires:  %{_includedir}/pcap.h
Obsoletes:      fft <= 2.3

%description
LFT, short for Layer Four Traceroute, is a 'traceroute' utility that
often works much faster (than the commonly-used Van Jacobson method)
and goes through many configurations of packet-filter based
firewalls. More importantly, LFT implements numerous other features
including AS number lookups, loose source routing, netblock name
lookups, et al.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall # no DESTDIR support


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README TODO
%attr(4755,root,root) %{_bindir}/lft
%{_bindir}/whob
%{_mandir}/man8/lft.8*
%{_mandir}/man8/whob.8*


%changelog
* Wed Nov 29 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1:2.5-7
- Rebuild with new libpcap.

* Sun Oct 01 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1:2.5-6
- Rebuild due to gcc bug.

* Tue Sep 19 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1:2.5-5
- Bump release for rebuild.

* Sat Jun  3 2006 Ville Skyttä <ville.skytta at iki.fi> - 1:2.5-4
- Sync with FC6 libpcap packaging changes.

* Wed Apr 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 1:2.5-3
- Backport fix for x86_64 crash at startup from upstream 2.6b5 (#189996).

* Thu Feb 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 1:2.5-2
- Rebuild.

* Thu Aug 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 1:2.5-1
- 2.5.

* Thu Jul 21 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.31-3
- Rebuild against new libpcap.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.31-2
- 2.31.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.3-2
- rebuilt

* Sat Jan 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:2.3-1
- Update to 2.3.

* Sat Jul 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.2-0.fdr.2
- Fix stale patch issue (bug 311).

* Thu May 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.2-0.fdr.1
- Update to 2.2.
- Tweak spec to current Fedora guidelines.

* Sun Mar 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1-0.fdr.2
- Revised patch to work around suid root install (#61).

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1-0.fdr.1
- Updated to 2.1 and current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.0-1.fedora.1
- First Fedora release.
